export default class DiffImpl {
    private revisionFrom?;
    private revisionTo?;
    destructivePackageObjPre: any[];
    destructivePackageObjPost: any[];
    resultOutput: {
        action: string;
        metadataType: string;
        componentName: string;
        path: string;
    }[];
    constructor(revisionFrom?: string, revisionTo?: string);
    build(diffFilePath: string, encoding: string, outputFolder: string): Promise<{
        action: string;
        metadataType: string;
        componentName: string;
        path: string;
    }[]>;
    private buildOutput;
    private handleUnsplittedMetadata;
    private createDestructiveChanges;
    private writeDestructivechanges;
    private buildDestructiveTypeObj;
}
