export interface DiffFileStatus {
    revisionFrom: string;
    revisionTo: string;
    path: string;
    renamedPath?: string;
}
export interface DiffFile {
    deleted: DiffFileStatus[];
    addedEdited: DiffFileStatus[];
}
export default class DiffUtil {
    static isFormulaField(diffFile: DiffFileStatus): Promise<boolean>;
    static parseContent(fileContents: any): DiffFile;
    static getChangedOrAdded(list1: any[], list2: any[], key: string): any;
}
